rack/setup/install notebook100[34]
Closed, ResolvedPublic

Description

This task will track the receiving, racking, and setup of two new systems, notebook100[34]. These will replace notebook100[12], which are slated for decommission after the new systems come online (unless Analytics states otherwise, but their request stated this was a refresh/swap not expansion.)

Racking Proposal: These two systems should be in different rows. They can be in ANY of the 4 rows, as they will use the analytics vlan, which is also deployed across all 4 rows. notebook100[12] are currently in rows C and A, but will be replaced by these two systems, so do not need to be taken into consideration. Suggest placing in the rows with the most space.

notebook1003:

  • - receive in system on procurement task T175603
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan analytics)
    • end on-site specific steps
  • - production dns entries added (analytics subnet)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (Stretch)
  • - puppet accept/initial run
  • - handoff for service implementation (to @elukey or @Ottomata)

notebook1004:

  • - receive in system on procurement task T175603
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan analytics)
    • end on-site specific steps
  • - production dns entries added (analytics subnet)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (Stretch)
  • - puppet accept/initial run
  • - handoff for service implementation (to @elukey or @Ottomata)

Related Objects

StatusAssignedTask
ResolvedOttomata
Resolvedelukey
RobH created this task.Jan 2 2018, 5:11 PM
RobH triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2018, 5:11 PM
RobH updated the task description. (Show Details)Jan 2 2018, 5:16 PM

Let's do Stretch.

Ottomata updated the task description. (Show Details)Jan 2 2018, 5:30 PM
Cmjohnson moved this task from Backlog to Being worked on on the ops-eqiad board.Jan 3 2018, 4:06 PM

Change 401797 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Adding mgmt dns for notebook1003/4

https://gerrit.wikimedia.org/r/401797

Change 401797 merged by Cmjohnson:
[operations/dns@master] Adding mgmt dns for notebook1003/4

https://gerrit.wikimedia.org/r/401797

Cmjohnson updated the task description. (Show Details)Jan 3 2018, 9:52 PM
fdans moved this task from Incoming to Radar on the Analytics board.Jan 4 2018, 6:04 PM

Change 403186 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Adding production dns notebook1003/4

https://gerrit.wikimedia.org/r/403186

Change 403186 merged by Cmjohnson:
[operations/dns@master] Adding production dns notebook1003/4

https://gerrit.wikimedia.org/r/403186

RobH renamed this task from rack/setup/install noteboot100[34] to rack/setup/install notebook[34].Jan 9 2018, 4:07 PM
RobH updated the task description. (Show Details)

Change 403187 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Adding notebook1003/4 to dhcpd file

https://gerrit.wikimedia.org/r/403187

Change 403187 merged by Cmjohnson:
[operations/puppet@production] Adding notebook1003/4 to dhcpd file

https://gerrit.wikimedia.org/r/403187

Cmjohnson updated the task description. (Show Details)Jan 9 2018, 4:12 PM

All the on-site work has been completed, production dns added and install server. @RobH can you look into the partman recipe and complete the installs please.

Cmjohnson reassigned this task from Cmjohnson to RobH.Jan 9 2018, 4:13 PM
RobH renamed this task from rack/setup/install notebook[34] to rack/setup/install notebook100[34].Feb 1 2018, 11:52 PM

Change 407571 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] setting remainder of notebook100[34] install params

https://gerrit.wikimedia.org/r/407571

Change 407571 merged by RobH:
[operations/puppet@production] setting remainder of notebook100[34] install params

https://gerrit.wikimedia.org/r/407571

RobH reassigned this task from RobH to elukey.EditedFeb 2 2018, 12:09 AM
RobH removed a project: Patch-For-Review.
RobH updated the task description. (Show Details)
RobH reassigned this task from elukey to Gehel.
RobH added a subscriber: Gehel.

These are finishing their initial puppet runs and are ready to be pushed into service role. Escalating to @elukey.

RobH reassigned this task from Gehel to elukey.Feb 2 2018, 12:10 AM
Cmjohnson moved this task from Being worked on to Blocked on the ops-eqiad board.Feb 16 2018, 3:50 PM

Change 417010 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Set up notebook100[34] with new swap role and jupyterhub profile

https://gerrit.wikimedia.org/r/417010

Change 417010 merged by Ottomata:
[operations/puppet@production] Set up notebook100[34] with new swap role and jupyterhub profile

https://gerrit.wikimedia.org/r/417010

Ottomata updated the task description. (Show Details)Mar 7 2018, 8:01 PM

Change 417019 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] SWAP: set web_proxy and admin groups for new notebook100[34]

https://gerrit.wikimedia.org/r/417019

Change 417019 merged by Ottomata:
[operations/puppet@production] SWAP: set web_proxy and admin groups for new notebook100[34]

https://gerrit.wikimedia.org/r/417019

I acked on icinga notebook100[34] systemd unit failures to avoid confusion for other people (expected I guess since the task is WIP but writing it down just in case to avoid issues :)

Ah thanks, yeah, I meant to get back to this the next day but we got other thinnngnggs

Removing ops-eqiad project tag

Ottomata closed this task as Resolved.Wed, Apr 18, 2:03 PM